﻿/**Begin D:\develop\PDM_UPGRADE\PDM1\HRIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_ASYNCTASKSCENE') 
 CREATE TABLE T_HRIC_ASYNCTASKSCENE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHANDLECLASS VARCHAR(255) DEFAULT ' ' NOT NULL,
FAUTORETRY CHAR(1) DEFAULT '0' NOT NULL,
FAUTORETRYTIMES INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_ASYNCTASKSCENE_L') 
 CREATE TABLE T_HRIC_ASYNCTASKSCENE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_ASYNCTASK') 
 CREATE TABLE T_HRIC_ASYNCTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FOBJNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FLATESTTIME DATETIME,
FENDTIME DATETIME,
FRETRYTIMES INT DEFAULT 0 NOT NULL,
FPARAMS VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAMS_TAG NCLOB,
FERRORMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FERRORMSG_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_ASYNCTASK_L') 
 CREATE TABLE T_HRIC_ASYNCTASK_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FOPERATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\develop\PDM_UPGRADE\PDM1\HRIC_table.sql **/
