﻿/**Begin D:\develop\PDM_UPGRADE\PDM1\HRIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DTCLR') 
 CREATE TABLE T_HRIC_DTCLR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FSTRATEGY VARCHAR(50) DEFAULT '0' NOT NULL,
FISCLEAR CHAR(1) DEFAULT '0' NOT NULL,
FLATESTEXECTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DTCLRST') 
 CREATE TABLE T_HRIC_DTCLRST (
FSTID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCLEARSTATUS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FKEEPSTRATEGY VARCHAR(2) DEFAULT '3' NOT NULL,
FKEEPDAY INT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DTCLRSTBIZAREA') 
 CREATE TABLE T_HRIC_DTCLRSTBIZAREA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FSTID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DTCLRSTBIZSUBAREA') 
 CREATE TABLE T_HRIC_DTCLRSTBIZSUBAREA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FSTID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DTCLRLOG') 
 CREATE TABLE T_HRIC_DTCLRLOG (
FLID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(1) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FCOST BIGINT DEFAULT 0 NOT NULL,
FMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FMSG_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DTCLRLOGENTRY') 
 CREATE TABLE T_HRIC_DTCLRLOGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTID BIGINT DEFAULT 0 NOT NULL,
FCLEARCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DTCLR_L') 
 CREATE TABLE T_HRIC_DTCLR_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\develop\PDM_UPGRADE\PDM1\HRIC_table.sql **/
