﻿/**Begin D:\PDM_UPGRADE\PDM1\HRIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_PERHEADPICINIT') 
 CREATE TABLE T_HRIC_PERHEADPICINIT (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FERRORMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FERRORMSG_TAG NCLOB DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FBATCHNUMBER BIGINT DEFAULT 0 NOT NULL,
FFILEPATH VARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_PERHEADPICINIT_L') 
 CREATE TABLE T_HRIC_PERHEADPICINIT_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_CONTRACTINIT')
 CREATE TABLE T_HRIC_CONTRACTINIT (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FERRORMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FERRORMSG_TAG NCLOB DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FBATCHNUMBER BIGINT DEFAULT 0 NOT NULL,
FFILEPATH VARCHAR(500) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FFILENAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FFILESIZE BIGINT DEFAULT 0 NOT NULL,
FCONTRACTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONTRACTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_CONTRACTINIT_L')
 CREATE TABLE T_HRIC_CONTRACTINIT_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MIGRATIONTOOLS')
 CREATE TABLE T_HRIC_MIGRATIONTOOLS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET VARCHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENTITYOBJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FTRANSFERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FISENSEMBLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FPERSONSERVERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIZDATASERVERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONAPI VARCHAR(500) DEFAULT ' ' NOT NULL,
FBIZAPI VARCHAR(500) DEFAULT ' ' NOT NULL,
FENSEMBLETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FDISCHEMEID BIGINT DEFAULT 0 NOT NULL,
FIMPLEMENTNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FDISCHEMENUMBER VARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MIGRATIONTOOLS_L')
 CREATE TABLE T_HRIC_MIGRATIONTOOLS_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRIC_table.sql **/
